Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.message
Enum FaultMode

    java.lang.Object
      java.lang.Enum<FaultMode>
          org.apache.cxf.message.FaultMode

All Implemented Interfaces:
  Serializable, Comparable<FaultMode>

    public enum FaultMode

extends Enum<FaultMode>

Enum Constant Summary
`CHECKED_APPLICATION_FAULT`
`LOGICAL_RUNTIME_FAULT`
`RUNTIME_FAULT`
`UNCHECKED_APPLICATION_FAULT`

Method Summary
`static FaultMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FaultMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUNTIME_FAULT

    public static final FaultMode RUNTIME_FAULT

### LOGICAL_RUNTIME_FAULT

    public static final FaultMode LOGICAL_RUNTIME_FAULT

### CHECKED_APPLICATION_FAULT

    public static final FaultMode CHECKED_APPLICATION_FAULT

### UNCHECKED_APPLICATION_FAULT

    public static final FaultMode UNCHECKED_APPLICATION_FAULT

Method Detail

### values

    public static FaultMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FaultMode c : FaultMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FaultMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF